%define magnus_version 01_09_02
Summary:	computations and do experiments with infinite groups	
Name:   	magnus	
Version:	4.1.1	
Release:	0
Source:		%{name}_static_beta_v%{version}.tgz 
Patch1:  	%{name}-3.2.1-Configure.patch
Patch2:		%{name}-3.2.1-TietzeTrek.patch
Patch3:		%{name}-3.2.1-homology.patch
Patch4:		%{name}-3.2.1-rkbp.patch
Patch5:		%{name}-3.2.1-compile.patch
Patch6:		%{name}-3.2.1-orwp.patch
Group: 		Applications/Engineering
Copyright: 	GPL
Url:    	http://www.grouptheory.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%(id -u -n)-root

%description
Magnus has been designed to carry out computations and do experiments with infinite 
groups. 
These infinite groups come, in the main, equipped with finite presentations. 
As such, it has long been recognized that no overall algorithmic approach to most of 

the problems and questions that arise, is possible. In many specific instances, 
however, it is still possible to obtain either explicit answers to a given question 
or at least some evidence as to whether a given conjecture is true or false. 
Magnus has been designed with such objectives in mind. A detailed description of 
the underlying philosophy and the computations that Magnus can effect, is contained 
in the on-line manual.

%prep
rm -rf "$RPM_BUILD_ROOT"

%setup -n %{name}_%{magnus_version}

#patch1 -p1 -b .Configure
#patch2 -p1 -b .TietzeTrek
#patch3 -p1 -b .homology
#patch4 -p1 -b .rkbp
#patch5 -p1 -b .compile
#patch6 -p1 -b .orwp

#/bin/echo -e  "\n\n\n\n" | ./Configure 

%build
# empty

%install
install -d 	$RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name}-%{version}}
mv *		$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}

# Dummy Configure step
(
cd 	$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}
/bin/echo -e "\n\n\n" | ./Configure  ||:
)

ln              $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/front_end/%{name} \
                $RPM_BUILD_ROOT%{_bindir}/%{name}
perl -pi -e "s@set magnus_home .*@set magnus_home %{_libdir}/%{name}-%{version}@" \
                $RPM_BUILD_ROOT%{_bindir}/%{name}
#rm -rf		$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/back_end/SessionManager/test/bin/tmp
chmod a+w	$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/packages/*


%clean
rm -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%{name}-%{version}


%changelog
* Tue Jun 18 2002 Rex Dieter <rdieter@unl.edu> 
- 4.1.1 static binary, 'cause src requires gcc 2.95

* Mon Mar 19 2002 Rex Dieter <rdieter@unl.edu>
- minor specfile cleanup
- orwp patch (to use $(CXX) instead of c++)
- Try -O1 to see if it helps with random crashes.

* Thu Jan 03 2001 Rex Dieter <rdieter@unl.edu> 
- first try: 3.2.1
- use egcs, as magnus includes some files from libg++ that won't
  build with gcc 2.96.
